## capnproto 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)
project("Cap'n Proto" CXX)
set(VERSION 1.0.1)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(CTest)
include(CheckIncludeFileCXX)
include(GNUInstallDirs)
if(MSVC)
  check_include_file_cxx(initializer_list HAS_CXX14)
else()
  check_include_file_cxx(initializer_list HAS_CXX14 "-std=gnu++1y")
endif()
if(NOT HAS_CXX14)
  message(SEND_ERROR "Requires a C++14 compiler and standard library.")
endif()

# these arguments are passed to all install(TARGETS) calls
set(INSTALL_TARGETS_DEFAULT_ARGS
  EXPORT CapnProtoTargets
  ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
)

# Options ======================================================================

option(EXTERNAL_CAPNP "Use the system capnp binary, or the one specified in $CAPNP, instead of using the compiled one." OFF)
option(CAPNP_LITE "Compile Cap'n Proto in 'lite mode', in which all reflection APIs (schema.h, dynamic.h, etc.) are not included. Produces a smaller library at the cost of features. All programs built against the library must be compiled with -DCAPNP_LITE. Requires EXTERNAL_CAPNP." OFF)

# Check for invalid combinations of build options
if(CAPNP_LITE AND BUILD_TESTING AND NOT EXTERNAL_CAPNP)
  message(SEND_ERROR "You must set EXTERNAL_CAPNP when using CAPNP_LITE and BUILD_TESTING.")
endif()

if(CAPNP_LITE)
  set(CAPNP_LITE_FLAG "-DCAPNP_LITE")
  # This flag is attached as PUBLIC target_compile_definition to kj target
else()
  set(CAPNP_LITE_FLAG)
endif()

set(WITH_OPENSSL "AUTO" CACHE STRING
  "Whether or not to build libkj-tls by linking against openssl")
# define list of values GUI will offer for the variable
set_property(CACHE WITH_OPENSSL PROPERTY STRINGS AUTO ON OFF)

set(WITH_ZLIB "AUTO" CACHE STRING
  "Whether or not to build libkj-gzip by linking against zlib")
set_property(CACHE WITH_ZLIB PROPERTY STRINGS AUTO ON OFF)

# shadow cache variable original value with ON/OFF,
# so from now on OpenSSL-specific code just has to check:
#     if (WITH_OPENSSL)
#         ...
#     endif()
if (CAPNP_LITE)
  set(WITH_OPENSSL OFF)
elseif (WITH_OPENSSL STREQUAL "AUTO")
  find_package(OpenSSL COMPONENTS Crypto SSL)
  if (OPENSSL_FOUND)
    set(WITH_OPENSSL ON)
  else()
    set(WITH_OPENSSL OFF)
  endif()
elseif (WITH_OPENSSL)
  find_package(OpenSSL REQUIRED COMPONENTS Crypto SSL)
endif()

# shadow cache variable original value with ON/OFF,
# so from now on ZLIB-specific code just has to check:
#     if (WITH_ZLIB)
#         ...
#     endif()
if(CAPNP_LITE)
  set(WITH_ZLIB OFF)
elseif (WITH_ZLIB STREQUAL "AUTO")
  find_package(ZLIB)
  if(ZLIB_FOUND)
    set(WITH_ZLIB ON)
  else()
    set(WITH_ZLIB OFF)
  endif()
elseif (WITH_ZLIB)
  find_package(ZLIB REQUIRED)
endif()

set(WITH_FIBERS "AUTO" CACHE STRING
  "Whether or not to build libkj-async with fibers")
# define list of values GUI will offer for the variable
set_property(CACHE WITH_FIBERS PROPERTY STRINGS AUTO ON OFF)

# CapnProtoConfig.cmake.in needs this variable.
set(_WITH_LIBUCONTEXT OFF)

if (WITH_FIBERS OR WITH_FIBERS STREQUAL "AUTO")
  set(_capnp_fibers_found OFF)
  if (WIN32 OR CYGWIN)
    set(_capnp_fibers_found ON)
  else()
    # Fibers need makecontext, setcontext, getcontext, swapcontext that may be in libc,
    # or in libucontext (e.g. for musl).
    # We assume that makecontext implies that the others are present.
    include(CheckLibraryExists)
    check_library_exists(c makecontext "" HAVE_UCONTEXT_LIBC)
    if (HAVE_UCONTEXT_LIBC)
      set(_capnp_fibers_found ON)
    else()
      # Try with libucontext
      find_package(PkgConfig)
      if (PKG_CONFIG_FOUND)
        pkg_check_modules(libucontext IMPORTED_TARGET libucontext)
        if (libucontext_FOUND)
          set(_WITH_LIBUCONTEXT ON)
          set(_capnp_fibers_found ON)
        endif()
      else()
        set(_capnp_fibers_found OFF)
      endif()
    endif()
  endif()

  if (_capnp_fibers_found)
    set(WITH_FIBERS ON)
  elseif(WITH_FIBERS STREQUAL "AUTO")
    set(WITH_FIBERS OFF)
  else()
    message(FATAL_ERROR "Missing 'makecontext', 'getcontext', 'setcontext' or 'swapcontext' symbol in libc and no libucontext found: KJ won't be able to build with fibers. Disable fibers (-DWITH_FIBERS=OFF).")
  endif()
endif()

if(MSVC)
  # TODO(cleanup): Enable higher warning level in MSVC, but make sure to test
  #   build with that warning level and clean out false positives.

  add_compile_options(/wo4503)
  # Only warn once on truncated decorated names. The maximum symbol length MSVC
  # supports is 4k characters, which the parser framework regularly blows. The
  # compiler likes to print out the entire type that went over the limit along
  # with this warning, which gets unbearably spammy. That said, we don't want to
  # just ignore it, so I'm letting it trigger once until we find some places to
  # inject ParserRefs.
else()
  # Note that it's important to add new CXXFLAGS before ones specified by the
  # user, so that the user's flags override them. This is particularly
  # important if -Werror was enabled and then certain warnings need to be
  # disabled, as is done in super-test.sh.
  #
  # We enable a lot of warnings, but then disable some:
  # * strict-aliasing: We use type-punning in known-safe ways that GCC doesn't
  #   recognize as safe.
  # * sign-compare: Low S/N ratio.
  # * unused-parameter: Low S/N ratio.
  add_compile_options(-Wall -Wextra -Wno-strict-aliasing -Wno-sign-compare -Wno-unused-parameter)

  if(DEFINED CMAKE_CXX_EXTENSIONS AND NOT CMAKE_CXX_EXTENSIONS)
    message(SEND_ERROR "Cap'n Proto requires compiler-specific extensions (e.g., -std=gnu++14). Please leave CMAKE_CXX_EXTENSIONS undefined or ON.")
  endif()

  if (NOT ANDROID)
    add_compile_options(-pthread)
  endif()
endif()

# Source =======================================================================
include(CapnProtoMacros)
add_subdirectory(src)

# Install ======================================================================

include(CMakePackageConfigHelpers)

# We used to use write_basic_package_version_file(), but since the autotools build needs to install
# a config version script as well, I copied the AnyNewerVersion template from my CMake Modules
# directory to Cap'n Proto's cmake/ directory (alternatively, we could make the autotools build
# depend on CMake).
#
# We might as well use the local copy of the template. In the future we can modify the project's
# version compatibility policy just by changing that file.
set(PACKAGE_VERSION ${VERSION})
configure_file(cmake/CapnProtoConfigVersion.cmake.in cmake/CapnProtoConfigVersion.cmake @ONLY)

set(CONFIG_PACKAGE_LOCATION ${CMAKE_INSTALL_LIBDIR}/cmake/CapnProto)

configure_package_config_file(cmake/CapnProtoConfig.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/cmake/CapnProtoConfig.cmake
  INSTALL_DESTINATION ${CONFIG_PACKAGE_LOCATION}
  PATH_VARS CMAKE_INSTALL_FULL_INCLUDEDIR
)
export(EXPORT CapnProtoTargets
  FILE "${CMAKE_CURRENT_BINARY_DIR}/cmake/CapnProtoTargets.cmake"
  NAMESPACE CapnProto::
)
install(EXPORT CapnProtoTargets
  FILE CapnProtoTargets.cmake
  NAMESPACE CapnProto::
  DESTINATION ${CONFIG_PACKAGE_LOCATION}
)
install(FILES
  cmake/CapnProtoMacros.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/cmake/CapnProtoConfig.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/cmake/CapnProtoConfigVersion.cmake
  DESTINATION ${CONFIG_PACKAGE_LOCATION}
)
#install CapnProtoMacros for CapnProtoConfig.cmake build directory consumers
configure_file(cmake/CapnProtoMacros.cmake cmake/CapnProtoMacros.cmake COPYONLY)

if(NOT MSVC)  # Don't install pkg-config files when building with MSVC
  # Variables for pkg-config files
  set(prefix "${CMAKE_INSTALL_PREFIX}")
  set(exec_prefix "") # not needed since we use absolute paths in libdir and includedir
  set(libdir "${CMAKE_INSTALL_FULL_LIBDIR}")
  set(includedir "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
  set(PTHREAD_CFLAGS "-pthread")
  set(STDLIB_FLAG)  # TODO: Unsupported

  set(CAPNP_PKG_CONFIG_FILES
    pkgconfig/kj.pc
    pkgconfig/capnp.pc
    pkgconfig/capnpc.pc
  )

  if(NOT CAPNP_LITE)
    list(APPEND CAPNP_PKG_CONFIG_FILES
      pkgconfig/kj-async.pc
      pkgconfig/kj-gzip.pc
      pkgconfig/kj-http.pc
      pkgconfig/kj-test.pc
      pkgconfig/kj-tls.pc
      pkgconfig/capnp-rpc.pc
      pkgconfig/capnp-websocket.pc
      pkgconfig/capnp-json.pc
    )
  endif()

  foreach(pcfile ${CAPNP_PKG_CONFIG_FILES})
    configure_file(${pcfile}.in "${CMAKE_CURRENT_BINARY_DIR}/${pcfile}" @ONLY)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${pcfile}" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
  endforeach()

  unset(STDLIB_FLAG)
  unset(PTHREAD_CFLAGS)
  unset(includedir)
  unset(libdir)
  unset(exec_prefix)
  unset(prefix)
endif()

=== src/kj/CMakeLists.txt ===

# kj ===========================================================================

set(kj_sources_lite
  array.c++
  cidr.c++
  list.c++
  common.c++
  debug.c++
  exception.c++
  io.c++
  memory.c++
  mutex.c++
  string.c++
  source-location.c++
  hash.c++
  table.c++
  thread.c++
  main.c++
  arena.c++
  test-helpers.c++
  units.c++
  encoding.c++
)
set(kj_sources_heavy
  refcount.c++
  string-tree.c++
  time.c++
  filesystem.c++
  filesystem-disk-unix.c++
  filesystem-disk-win32.c++
  parse/char.c++
)
if(NOT CAPNP_LITE)
  set(kj_sources ${kj_sources_lite} ${kj_sources_heavy})
else()
  set(kj_sources ${kj_sources_lite})
endif()

set(kj_headers
  cidr.h
  common.h
  units.h
  memory.h
  refcount.h
  array.h
  list.h
  vector.h
  string.h
  string-tree.h
  source-location.h
  hash.h
  table.h
  map.h
  encoding.h
  exception.h
  debug.h
  arena.h
  io.h
  tuple.h
  one-of.h
  function.h
  mutex.h
  thread.h
  threadlocal.h
  filesystem.h
  time.h
  main.h
  win32-api-version.h
  windows-sanity.h
)
set(kj-parse_headers
  parse/common.h
  parse/char.h
)
set(kj-std_headers
  std/iostream.h
)
add_library(kj ${kj_sources})
add_library(CapnProto::kj ALIAS kj)
# TODO(cleanup): Use cxx_std_14 once it's safe to require cmake 3.8.
target_compile_features(kj PUBLIC cxx_generic_lambdas)

if(UNIX AND NOT ANDROID)
  target_link_libraries(kj PUBLIC pthread)
endif()
#make sure the lite flag propagates to all users (internal + external) of this library
target_compile_definitions(kj PUBLIC ${CAPNP_LITE_FLAG})
#make sure external consumers don't need to manually set the include dirs
get_filename_component(PARENT_DIR ${CMAKE_CURRENT_SOURCE_DIR} DIRECTORY)
target_include_directories(kj PUBLIC
  $<BUILD_INTERFACE:${PARENT_DIR}>
  $<INSTALL_INTERFACE:include>
)
# Ensure the library has a version set to match autotools build
set_target_properties(kj PROPERTIES VERSION ${VERSION})
install(TARGETS kj ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${kj_headers} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/kj")
install(FILES ${kj-parse_headers} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/kj/parse")
install(FILES ${kj-std_headers} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/kj/std")

set(kj-test_sources
  test.c++
)
set(kj-test_headers
  test.h
)
set(kj-test-compat_headers
  compat/gtest.h
)
add_library(kj-test ${kj-test_sources})
add_library(CapnProto::kj-test ALIAS kj-test)
target_link_libraries(kj-test PUBLIC kj)
# Ensure the library has a version set to match autotools build
set_target_properties(kj-test PROPERTIES VERSION ${VERSION})
install(TARGETS kj-test ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${kj-test_headers} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/kj")
install(FILES ${kj-test-compat_headers} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/kj/compat")

set(kj-async_sources
  async.c++
  async-unix.c++
  async-win32.c++
  async-io-win32.c++
  async-io.c++
  async-io-unix.c++
  timer.c++
)
set(kj-async_headers
  async-prelude.h
  async.h
  async-inl.h
  async-unix.h
  async-win32.h
  async-io.h
  async-queue.h
  cidr.h
  timer.h
)
if(NOT CAPNP_LITE)
  add_library(kj-async ${kj-async_sources})
  add_library(CapnProto::kj-async ALIAS kj-async)
  target_link_libraries(kj-async PUBLIC kj)
  if(WITH_FIBERS)
    target_compile_definitions(kj-async PUBLIC KJ_USE_FIBERS)
    if(_WITH_LIBUCONTEXT)
      target_link_libraries(kj-async PUBLIC PkgConfig::libucontext)
    endif()
  else()
    target_compile_definitions(kj-async PUBLIC KJ_USE_FIBERS=0)
  endif()

  if(UNIX)
    # external clients of this library need to link to pthreads
    target_compile_options(kj-async INTERFACE "-pthread")
  elseif(WIN32)
    target_link_libraries(kj-async PUBLIC ws2_32)
  endif()
  # Ensure the library has a version set to match autotools build
  set_target_properties(kj-async PROPERTIES VERSION ${VERSION})
  install(TARGETS kj-async ${INSTALL_TARGETS_DEFAULT_ARGS})
  install(FILES ${kj-async_headers} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/kj")
endif()

# kj-http ======================================================================

set(kj-http_sources
  compat/url.c++
  compat/http.c++
)
set(kj-http_headers
  compat/url.h
  compat/http.h
)
if(NOT CAPNP_LITE)
  add_library(kj-http ${kj-http_sources})
  add_library(CapnProto::kj-http ALIAS kj-http)
  if(WITH_ZLIB)
    target_compile_definitions(kj-http PRIVATE KJ_HAS_ZLIB)
    target_link_libraries(kj-http PUBLIC kj-async kj ZLIB::ZLIB)
  else()
    target_link_libraries(kj-http PUBLIC kj-async kj)
  endif()
  # Ensure the library has a version set to match autotools build
  set_target_properties(kj-http PROPERTIES VERSION ${VERSION})
  install(TARGETS kj-http ${INSTALL_TARGETS_DEFAULT_ARGS})
  install(FILES ${kj-http_headers} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/kj/compat")
endif()

# kj-tls ======================================================================
if(WITH_OPENSSL)
  set(kj-tls_sources
    compat/readiness-io.c++
    compat/tls.c++
  )
  set(kj-tls_headers
    compat/readiness-io.h
    compat/tls.h
  )
  if(NOT CAPNP_LITE)
    add_library(kj-tls ${kj-tls_sources})
    add_library(CapnProto::kj-tls ALIAS kj-tls)
    target_link_libraries(kj-tls PUBLIC kj-async)

    target_compile_definitions(kj-tls PRIVATE KJ_HAS_OPENSSL)
    target_link_libraries(kj-tls PRIVATE OpenSSL::SSL OpenSSL::Crypto)

    # Ensure the library has a version set to match autotools build
    set_target_properties(kj-tls PROPERTIES VERSION ${VERSION})
    install(TARGETS kj-tls ${INSTALL_TARGETS_DEFAULT_ARGS})
    install(FILES ${kj-tls_headers} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/kj/compat")
  endif()
endif()

# kj-gzip ======================================================================

if(WITH_ZLIB)
  set(kj-gzip_sources
    compat/gzip.c++
  )
  set(kj-gzip_headers
    compat/gzip.h
  )
  if(NOT CAPNP_LITE)
    add_library(kj-gzip ${kj-gzip_sources})
    add_library(CapnProto::kj-gzip ALIAS kj-gzip)

    target_compile_definitions(kj-gzip PRIVATE KJ_HAS_ZLIB)
    target_link_libraries(kj-gzip PUBLIC kj-async kj ZLIB::ZLIB)

    # Ensure the library has a version set to match autotools build
    set_target_properties(kj-gzip PROPERTIES VERSION ${VERSION})
    install(TARGETS kj-gzip ${INSTALL_TARGETS_DEFAULT_ARGS})
    install(FILES ${kj-gzip_headers} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/kj/compat")
  endif()
endif()

# Tests ========================================================================

if(BUILD_TESTING)
  add_executable(kj-tests
    common-test.c++
    memory-test.c++
    array-test.c++
    list-test.c++
    string-test.c++
    table-test.c++
    map-test.c++
    exception-test.c++
    # this test overrides symbolizer and has to be linked separately
    # exception-override-symbolizer-test.c++
    debug-test.c++
    io-test.c++
    mutex-test.c++
    time-test.c++
    threadlocal-test.c++
    test-test.c++
    std/iostream-test.c++
  )
  # TODO: Link with librt on Solaris for sched_yield
  target_link_libraries(kj-tests kj-test kj)
  add_dependencies(check kj-tests)
  add_test(NAME kj-tests-run COMMAND kj-tests)

  if(NOT CAPNP_LITE)
    add_executable(kj-heavy-tests
      async-test.c++
      async-xthread-test.c++
      async-coroutine-test.c++
      async-unix-test.c++
      async-unix-xthread-test.c++
      async-win32-test.c++
      async-win32-xthread-test.c++
      async-io-test.c++
      async-queue-test.c++
      refcount-test.c++
      string-tree-test.c++
      encoding-test.c++
      arena-test.c++
      units-test.c++
      tuple-test.c++
      one-of-test.c++
      function-test.c++
      filesystem-test.c++
      filesystem-disk-test.c++
      parse/common-test.c++
      parse/char-test.c++
      compat/url-test.c++
      compat/http-test.c++
      compat/gzip-test.c++
      compat/tls-test.c++
    )
    target_link_libraries(kj-heavy-tests kj-http kj-async kj-test kj)
    if(WITH_OPENSSL)
      target_link_libraries(kj-heavy-tests kj-tls)
      # tls-test.c++ needs to use OpenSSL directly.
      target_link_libraries(kj-heavy-tests OpenSSL::SSL OpenSSL::Crypto)
      target_compile_definitions(kj-heavy-tests PRIVATE KJ_HAS_OPENSSL)
      set_property(
        SOURCE compat/tls-test.c++
        APPEND PROPERTY COMPILE_DEFINITIONS KJ_HAS_OPENSSL
      )
    endif()
    if(WITH_ZLIB)
      target_link_libraries(kj-heavy-tests kj-gzip)
      set_property(
        SOURCE compat/gzip-test.c++
        APPEND PROPERTY COMPILE_DEFINITIONS KJ_HAS_ZLIB
      )
    endif()
    add_dependencies(check kj-heavy-tests)
    add_test(NAME kj-heavy-tests-run COMMAND kj-heavy-tests)
  endif()  # NOT CAPNP_LITE
endif()  # BUILD_TESTING

=== debian/changelog ===
capnproto (1.0.1-4) unstable; urgency=medium

  * Add patch for FTBFS on 32-bit ARM after the time_t 64 transition.
    Thank you to Arnd Bergmann, Wookey, Tom Lee, and Andrey Rakhmatullin
    for their for help resolving this bug.  (Closes: #1067916)

 -- tony mancill <tmancill@debian.org>  Mon, 15 Apr 2024 22:09:51 -0700

capnproto (1.0.1-3) unstable; urgency=medium

  * Add upstream patch to resolve CVE-2023-48230 (Closes: #1056615)
    Debian's patched 1.0.1 is equivalent to upstream 1.0.1.1.

 -- tony mancill <tmancill@debian.org>  Fri, 24 Nov 2023 21:14:08 -0800

capnproto (1.0.1-2) unstable; urgency=medium

  * Upload version 1.0.1 to unstable
    Transition bug #1053765

 -- tony mancill <tmancill@debian.org>  Tue, 10 Oct 2023 20:49:02 -0700

capnproto (1.0.1-1) experimental; urgency=medium

  * New upstream version 1.0.1 (Closes: #1041973)
  * Update debian/gbp.conf for upload to experimental
  * Refresh patches for upstream release 1.0.1
  * Freshen debian/copyright

 -- tony mancill <tmancill@debian.org>  Fri, 06 Oct 2023 19:44:29 -0700

capnproto (0.9.2-4) unstable; urgency=medium

  * Add patch for LFS support on 32-bit systems (Closes: #1051704)

 -- tony mancill <tmancill@debian.org>  Sat, 16 Sep 2023 11:11:47 -0700

=== debian/control ===
Source: capnproto
Section: devel
Priority: optional
Maintainer: Tom Lee <debian@tomlee.co>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: cmake,
 debhelper-compat (= 13),
 docbook-xml,
 docbook-xsl,
 libssl-dev,
 netbase,
 python3-all,
 xsltproc,
 zlib1g-dev,
 ca-certificates
Standards-Version: 4.6.2
Homepage: https://capnproto.org/
Vcs-Git: https://github.com/thomaslee/capnproto-debian.git -b debian/master
Vcs-Browser: https://github.com/thomaslee/capnproto-debian
Rules-Requires-Root: no

Package: libcapnp-1.0.1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cap'n Proto C++ library
 Similar to Protocol Buffers, Cap'n Proto is an efficient means of
 serializing structured data to be transferred across a network or
 written to disk. Users write a Cap'n Proto definition file that
 drives a code generator, which in turn emits C++ code for encoding &
 decoding messages in the Cap'n Proto format.
 .
 In addition to being extremely fast, Cap'n Proto also smooths over some
 of the rougher aspects of Protocol Buffers & introduces a number of new
 features to boot.
 .
 This package contains the runtime libraries needed for C++ applications.

Package: libcapnp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libcapnp-1.0.1 (= ${binary:Version}), libssl-dev
Description: Cap'n Proto C++ library (development files)
 Similar to Protocol Buffers, Cap'n Proto is an efficient means of
 serializing structured data to be transferred across a network or
 written to disk. Users write a Cap'n Proto definition file that
 drives a code generator, which in turn emits C++ code for encoding &
 decoding messages in the Cap'n Proto format.
 .
 In addition to being extremely fast, Cap'n Proto also smooths over some
 of the rougher aspects of Protocol Buffers & introduces a number of new
 features to boot.
 .
 This package contains the headers and static libraries needed for writing
 C++ applications.

Package: capnproto
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcapnp-1.0.1 (= ${binary:Version})
Description: tool for working with the Cap'n Proto data interchange format
 Similar to Protocol Buffers, Cap'n Proto is an efficient means of
 serializing structured data to be transferred across a network or
 written to disk. Users write a Cap'n Proto definition file that
 drives a code generator, which in turn emits C++ code for encoding &
 decoding messages in the Cap'n Proto format.
 .
 In addition to being extremely fast, Cap'n Proto also smooths over some
 of the rougher aspects of Protocol Buffers & introduces a number of new
 features to boot.
 .
 This package contains a small suite of tools for developing & maintaining
 your Cap'n Proto schema files, including a code generator for compiling
 your schema files to supported languages.

## capnproto 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 project("Cap'n Proto" CXX)
-set(VERSION 1.0.1)
+set(VERSION 1.1.0)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

=== debian/changelog ===
capnproto (1.1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump CMAKE_MINIMUM_REQUIRED version to 3.5 to fix autopkgtests with CMake
    4. (Closes: #1118577)

 -- James McCoy <jamessan@debian.org>  Tue, 11 Nov 2025 07:19:43 -0500

capnproto (1.1.0-2) unstable; urgency=medium

  * Upload version 1.1.0 to unstable
    Transition bug #1091963

 -- tony mancill <tmancill@debian.org>  Sat, 11 Jan 2025 09:52:35 -0800

capnproto (1.1.0-1) experimental; urgency=medium

  * New upstream release 1.1.0
  * Upload to experimental
  * Freshen patches for new upstream release and add missing DEP-3 headers
  * Freshen years in debian/copyright and remove superfluous file patterns
  * Bump Standards-Version to 4.7.0

 -- tony mancill <tmancill@debian.org>  Mon, 30 Dec 2024 10:39:33 -0800

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
  xsltproc,
  zlib1g-dev,
  ca-certificates
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://capnproto.org/
 Vcs-Git: https://github.com/thomaslee/capnproto-debian.git -b debian/master
 Vcs-Browser: https://github.com/thomaslee/capnproto-debian
 Rules-Requires-Root: no
 
-Package: libcapnp-1.0.1
+Package: libcapnp-1.1.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -41,7 +41,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libcapnp-1.0.1 (= ${binary:Version}), libssl-dev
+Depends: ${misc:Depends}, libcapnp-1.1.0 (= ${binary:Version}), libssl-dev
 Description: Cap'n Proto C++ library (development files)
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -60,7 +60,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libcapnp-1.0.1 (= ${binary:Version})
+ libcapnp-1.1.0 (= ${binary:Version})
 Description: tool for working with the Cap'n Proto data interchange format
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or

=== debian/rules ===
#!/usr/bin/make -f

#
# Force a release build & works around a g++ compiler bug by happy coincidence
#
export DEB_CXXFLAGS_MAINT_APPEND = -DNDEBUG
export DEB_LDFLAGS_MAINT_APPEND = -lpthread

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

export DH_OPTIONS

%:
	dh $@

override_dh_auto_build:
	xsltproc --nonet \
		--param make.year.ranges 1 \
		--param make.single.year.ranges 1 \
		--param man.charmap.use.subset 0 \
		-o debian/ \
	http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
		debian/capnp.1.xml
	dh_auto_build

override_dh_auto_clean:
	rm -f debian/capnp.1
	dh_auto_clean

override_dh_auto_test:
	VERBOSE=1 dh_auto_test

=== debian/tests/control ===
Tests: cli-tests, build-tests, serde-tests, atomic-tests
Depends: @, shunit2, bash, g++, pkg-config, cmake

=== debian/watch ===
version=4
https://capnproto.org/install.html https?://capnproto.org/capnproto-c\+\+-(.+)\.tar\.gz
